## IdeEditorPageAddin IdeEditorPageAddin |

## Functions

void | ide_editor_page_addin_load ()
void | ide_editor_page_addin_unload ()
void | ide_editor_page_addin_frame_set ()
void | ide_editor_page_addin_language_changed ()
IdeEditorPageAddin * | ide_editor_page_addin_find_by_module_name ()

## Types and Values

#define | IDE_TYPE_EDITOR_PAGE_ADDIN
struct | IdeEditorPageAddinInterface
| IdeEditorPageAddin

## Object Hierarchy

        GInterface
        ╰── IdeEditorPageAddin

## Prerequisites

IdeEditorPageAddin requires GObject.

## Description

## Functions

### ide_editor_page_addin_load ()

    void
    ide_editor_page_addin_load (IdeEditorPageAddin *self,
                                IdeEditorPage *page);

### ide_editor_page_addin_unload ()

    void
    ide_editor_page_addin_unload (IdeEditorPageAddin *self,
                                  IdeEditorPage *page);

### ide_editor_page_addin_frame_set ()

    void
    ide_editor_page_addin_frame_set (IdeEditorPageAddin *self,
                                     IdeFrame *frame);

### ide_editor_page_addin_language_changed ()

    void
    ide_editor_page_addin_language_changed
                                   (IdeEditorPageAddin *self,
                                    const gchar *language_id);

### ide_editor_page_addin_find_by_module_name ()

    IdeEditorPageAddin *
    ide_editor_page_addin_find_by_module_name
                                   (IdeEditorPage *page,
                                    const gchar *module_name);

This function will locate the IdeEditorPageAddin that was registered by the addin named `module_name` (which should match the module_name provided in the .plugin file).

If no module was found or that module does not implement the IdeEditorPageAddinInterface, then `NULL` is returned.

#### Parameters

page | an IdeEditorPage |
module_name | the module name which provides the addin |

#### Returns

An IdeEditorPageAddin or `NULL`.

[transfer none][nullable]

Since: 3.32

## Types and Values

### IDE_TYPE_EDITOR_PAGE_ADDIN

    #define IDE_TYPE_EDITOR_PAGE_ADDIN (ide_editor_page_addin_get_type ())

### struct IdeEditorPageAddinInterface

    struct IdeEditorPageAddinInterface {
      GTypeInterface parent;

      void (*load)               (IdeEditorPageAddin *self,
                                  IdeEditorPage      *page);
      void (*unload)             (IdeEditorPageAddin *self,
                                  IdeEditorPage      *page);
      void (*language_changed)   (IdeEditorPageAddin *self,
                                  const gchar        *language_id);
      void (*frame_set)          (IdeEditorPageAddin *self,
                                  IdeFrame           *frame);
    };

### IdeEditorPageAddin

    typedef struct _IdeEditorPageAddin IdeEditorPageAddin;